TEA.ECB (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.jcajce.provider.symmetric

## Class TEA.ECB

- java.lang.Object
- - javax.crypto.CipherSpi
  - - org.bouncycastle.jcajce.provider.symmetric.util.BaseWrapCipher
    - - org.bouncycastle.jcajce.provider.symmetric.util.BaseBlockCipher
      - - org.bouncycastle.jcajce.provider.symmetric.TEA.ECB

- All Implemented Interfaces:
    PBE
  Enclosing class:
    TEA

      public static class TEA.ECB
      extends BaseBlockCipher

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.bouncycastle.jcajce.provider.symmetric.util.PBE

      `PBE.Util`

  - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.jcajce.provider.symmetric.util.BaseWrapCipher

      `engineParams, pbeHash, pbeIvSize, pbeKeySize, pbeType, wrapEngine`

    - ### Fields inherited from interface org.bouncycastle.jcajce.provider.symmetric.util.PBE

      `GOST3411, MD2, MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S1_UTF8, PKCS5S2, PKCS5S2_UTF8, RIPEMD160, SHA1, SHA256, TIGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TEA.ECB()`

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.jcajce.provider.symmetric.util.BaseBlockCipher

      `engineDoFinal, engineDoFinal, engineGetBlockSize, engineGetIV, engineGetKeySize, engineGetOutputSize, engineGetParameters, engineInit, engineInit, engineInit, engineSetMode, engineSetPadding, engineUpdate, engineUpdate, engineUpdateAAD, engineUpdateAAD`

    - ### Methods inherited from class org.bouncycastle.jcajce.provider.symmetric.util.BaseWrapCipher

      `createParametersInstance, engineUnwrap, engineWrap`

    - ### Methods inherited from class javax.crypto.CipherSpi

      `engineDoFinal, engineUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TEA.ECB

          public TEA.ECB()